SystemOrganization addCategory: #'A4BP-Tests-core'!
SystemOrganization addCategory: 'A4BP-Tests-core-model'!

Object subclass: #A4BPSourceWorldMenuLoad
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-Tests-core'!

!A4BPSourceWorldMenuLoad commentStamp: 'AlvaroJosePeraltaOcampo 9/2/2015 00:25' prior: 0!
Show options to download examples into the root file system to enable the load charge  of multiple example for utilization in A4BP!

!A4BPSourceWorldMenuLoad class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 6/20/2015 01:26'!
loadAllExamples
	self loadBobSoa! !

!A4BPSourceWorldMenuLoad class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 6/20/2015 01:26'!
loadBobSoa
	A4BPSourceRemoteRepository pathBobSoa
	! !

!A4BPSourceWorldMenuLoad class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 9/2/2015 00:36'!
loadEBPMCodeBPELExamples
	A4BPSourceRemoteRepository pathEBPMCode
	! !

!A4BPSourceWorldMenuLoad class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 9/22/2015 10:20'!
loadUmmisco
	A4BPSourceRemoteRepository pathUmmisco
	! !

!A4BPSourceWorldMenuLoad class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 9/22/2015 10:19'!
menuCommandOn: aBuilder
	<worldMenu> 
	(aBuilder item: #'LoadSOAExamples')
			action:[self loadUmmisco];
			parent: #Extras;
			label:'Load UMMISCO BPMN Examples';
			help: ''.
	(aBuilder item: #'LoadSOAExamples')
			action:[self loadBobSoa];
			parent: #Extras;
			label:'Load Lucasian - SOA Examples';
			help: ''.
	(aBuilder item: #'LoadEBPMCodeBPELExamples')
			action:[self loadEBPMCodeBPELExamples];
			parent: #Extras;
			label:'Load EBPM-BPEL Examples';
			help: ''.
	(aBuilder item: #'LoadExamples')
			action:[self loadAllExamples];
			parent: #Extras;
			label:'Load All Examples';
			help: ''.! !

A4BPResourceDownload subclass: #A4BPSourceRemoteRepository
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-Tests-core'!

!A4BPSourceRemoteRepository commentStamp: 'AlvaroJosePeraltaOcampo 12/1/2014 17:31' prior: 0!
An A4BPSourceRemoteRepository is repository with diferent kind of examples.
!

!A4BPSourceRemoteRepository class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:21'!
annotation
<MSEClass: #A4BPSourceRemoteRepository  super: #A4BPResourceDownload >
<package: #'A4BP-Tests-core' >! !

!A4BPSourceRemoteRepository class methodsFor: 'download' stamp: 'AlvaroJosePeraltaOcampo 9/2/2015 00:33'!
downloadBOBSOAzipExample
	"self downloadTesis001zipExample"
	| working contents |
	working := self baseDirectory.
	contents := self
		getContentsFromURL: 'https://github.com/A4BP/A4BP-Process-Example/blob/master/BPMN20/bob.soa.zip?raw=true'.
	self unzipContentIn: working with: contents! !

!A4BPSourceRemoteRepository class methodsFor: 'download' stamp: 'AlvaroJosePeraltaOcampo 9/2/2015 00:33'!
downloadEBPMCodezipExample
	"self downloadEBPMCodezipExample"
	| working contents |
	working := self baseDirectory.
	contents := self
		getContentsFromURL: 'https://github.com/A4BP/A4BP-Process-Example/raw/master/bpel20/EBPMCode.zip'.
	self unzipContentIn: working with: contents! !

!A4BPSourceRemoteRepository class methodsFor: 'download' stamp: 'AlvaroJosePeraltaOcampo 9/2/2015 00:33'!
downloadJavaCapszipExample
	"self downloadTesis001zipExample"
	| working contents |
	working := self baseDirectory.
	contents := self
		getContentsFromURL: 'https://github.com/A4BP/A4BP-Process-Example/blob/master/bpel20/javaCAPS.zip?raw=true'.
	self unzipContentIn: working with: contents! !

!A4BPSourceRemoteRepository class methodsFor: 'download' stamp: 'AlvaroJosePeraltaOcampo 9/2/2015 00:33'!
downloadTesis001zipExample
	"self downloadTesis001zipExample"
	| working contents |
	working := self baseDirectory.
	contents := self
		getContentsFromURL: 'https://github.com/A4BP/A4BP-Process-Example/blob/master/bpel20/tesis001.zip?raw=true'.
	self unzipContentIn: working with: contents! !

!A4BPSourceRemoteRepository class methodsFor: 'download' stamp: 'AlvaroJosePeraltaOcampo 9/22/2015 10:21'!
downloadUmmiscozipExample
	"self downloadTesis001zipExample"
	| working contents |
	working := self baseDirectory.
	contents := self
		getContentsFromURL: 'https://github.com/A4BP/A4BP-Process-Example/blob/master/BPMN20/ummisco.zip?raw=true'.
	self unzipContentIn: working with: contents! !

!A4BPSourceRemoteRepository class methodsFor: 'example' stamp: 'AlvaroJosePeraltaOcampo 9/2/2015 00:33'!
exampleDownloadAndUnzipSource
	"self exampleDownloadAndUnzipSource"

	| working response contents archive |
	working := FileSystem disk workingDirectory.
	(working / 'tesis001.zip') isFile
		ifFalse: [ 
			response := ZnClient new
				url: 'https://github.com/A4BP/A4BP/blob/master/src-test-examples/bpel20/tesis001.zip?raw=true';
				get;
				response.
			contents := response contents.
			archive := ZipArchive new.
			archive readFrom: contents readStream.
			archive extractAllTo: (working / 'tesis001') ]! !

!A4BPSourceRemoteRepository class methodsFor: 'get' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 17:27'!
getContentsFromGitIn: url usingpath: path withName: fileName andEndPath: endPath
	^ self getContentsFromURL: (url , path , fileName , endPath)! !

!A4BPSourceRemoteRepository class methodsFor: 'pathBase' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 12:41'!
gitBaseURL
	^ 'https://github.com/ajperalt/A4BP/blob/master/'! !

!A4BPSourceRemoteRepository class methodsFor: 'pathBase' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 12:41'!
gitEndPathURL
	^ '?raw=true'! !

!A4BPSourceRemoteRepository class methodsFor: 'path' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 13:24'!
pathAllModels
	| file |
	file := self baseDirectory.
	^ file path! !

!A4BPSourceRemoteRepository class methodsFor: 'path' stamp: 'AlvaroJosePeraltaOcampo 9/2/2015 00:35'!
pathBobSoa
	|file|
	file :=( self baseDirectory / 'EBPMCode').
	file isDirectory ifFalse:[
		"try to download the process"
		self downloadBOBSOAzipExample.
		].
	^  file path.! !

!A4BPSourceRemoteRepository class methodsFor: 'path' stamp: 'AlvaroJosePeraltaOcampo 9/2/2015 01:03'!
pathEBPMCode
	|file|
	file :=( self baseDirectory / 'EBPMCode').
	file isDirectory ifFalse:[
		"try to download the process"
		self downloadEBPMCodezipExample.
		].
	^  file path.! !

!A4BPSourceRemoteRepository class methodsFor: 'path' stamp: 'AlvaroJosePeraltaOcamop 6/4/2015 17:18'!
pathJavaCaps
	|file|
	file :=( self baseDirectory / 'javaCAPS').
	file isDirectory ifFalse:[
		"try to download the process"
		self downloadJavaCapszipExample.
		].
	^  file path.! !

!A4BPSourceRemoteRepository class methodsFor: 'path' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 12:41'!
pathTesis001
	|file|
	file :=( self baseDirectory / 'tesis001').
	file isDirectory ifFalse:[
		"try to download the process"
		self downloadTesis001zipExample.
		].
	^  file path.! !

!A4BPSourceRemoteRepository class methodsFor: 'path' stamp: 'AlvaroJosePeraltaOcampo 9/22/2015 10:20'!
pathUmmisco
	|file|
	file :=( self baseDirectory / 'ummisco').
	file isDirectory ifFalse:[
		"try to download the process"
		self downloadUmmiscozipExample.
		].
	^  file path.! !

TestCase subclass: #A4BPAbstractTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-Tests-core'!

A4BPAbstractTest subclass: #A4BPSOAContextTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-Tests-core-model'!

!A4BPSOAContextTest methodsFor: 'tests-creator' stamp: 'AlvaroJosePeraltaOcamop 6/4/2015 18:31'!
testBuildRelations
	|toTest v|
	toTest := A4BPSOAContext createBaseOnPath: A4BPSourceRemoteRepository pathJavaCaps.
	toTest buildRelations.
	toTest allElements size > 0.! !

!A4BPSOAContextTest methodsFor: 'test' stamp: 'AlvaroJosePeraltaOcampo 3/18/2015 17:09'!
testcreateBaseOnPath
	|toTest v|
	toTest := A4BPSOAContext createBaseOnPath: A4BPSourceRemoteRepository pathBobSoa.
	v:= toTest lstBPMN20.
	self assert: v size > 0.! !
